//Source file: TriggeredTerminalCapabilityListener.java
//Date: June 2004
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V5.6.0

package org.csapi.jr.se.termcap;

/**
 * This interface is to be implemented for receiving events issued by the TriggeredTerminalCapability activity object.<BR>
 *
 */
public interface TriggeredTerminalCapabilityListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the triggeredTerminalCapabilityReport() method on
    * the callback interface.
    *
    * @param  triggeredTerminalCapabilityReportEvent  Reference to a TriggeredTerminalCapabilityReportEvent event
    *        emmited from the impl or activity object.
    */
    void onTriggeredTerminalCapabilityReportEvent(org.csapi.jr.se.termcap.TriggeredTerminalCapabilityReportEvent triggeredTerminalCapabilityReportEvent);


   /**
    * Called due to a Gateway initiated call to the triggeredTerminalCapabilityReportErr() method on
    * the callback interface.
    *
    * @param  triggeredTerminalCapabilityReportErrEvent  Reference to a TriggeredTerminalCapabilityReportErrEvent event
    *        emmited from the impl or activity object.
    */
    void onTriggeredTerminalCapabilityReportErrEvent(org.csapi.jr.se.termcap.TriggeredTerminalCapabilityReportErrEvent triggeredTerminalCapabilityReportErrEvent);

}
