//Source file: TriggeredTerminalCapabilityReportEvent.java
//Date: June 2004
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V5.6.0

package org.csapi.jr.se.termcap;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredTerminalCapabilityReport() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class TriggeredTerminalCapabilityReportEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredTerminalCapabilityReportEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredTerminalCapabilityReportEvent(java.lang.Object source,
        org.csapi.jr.se.Address[] terminals,
        int                             criteria,
        org.csapi.jr.se.termcap.TypeTerminalCapabilities capabilities) {

        super(source);
      this.terminals = terminals;
      this.criteria = criteria;
      this.capabilities = capabilities;
 
    }

    org.csapi.jr.se.Address[] terminals;

    /**
     *  This method is used to retrieve the parameter value of 'terminals' passed up
     *  from the Gateway in it's call to the triggeredTerminalCapabilityReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'terminals' used on creation of this event.
     */
    public org.csapi.jr.se.Address[] getTerminals() {

        return this.terminals;
    }
       
    int                             criteria;

    /**
     *  This method is used to retrieve the parameter value of 'criteria' passed up
     *  from the Gateway in it's call to the triggeredTerminalCapabilityReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'criteria' used on creation of this event.
     */
    public int getCriteria() {

        return this.criteria;
    }
       
    org.csapi.jr.se.termcap.TypeTerminalCapabilities capabilities;

    /**
     *  This method is used to retrieve the parameter value of 'capabilities' passed up
     *  from the Gateway in it's call to the triggeredTerminalCapabilityReport() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'capabilities' used on creation of this event.
     */
    public org.csapi.jr.se.termcap.TypeTerminalCapabilities getCapabilities() {

        return this.capabilities;
    }
       
}

